Subject: Re: bug#32197: openssh not starting unless reconfigured

From: Eric Brown <[email-masked]>
Date: Thu, 26 Jul 2018 08:32:40 -0500

[email-masked] (Ludovic Courtès) writes:

> Eric Brown <[email-masked]> skribis:
>
>> Clément Lassieur <[email-masked]> writes:
>
> [...]
>
>>> Julien pushed a commit that is supposed to fix your issue.  Could you
>>> 'guix pull' and test it?
>>>
>>> Thanks,
>>> Clément
>>
>> The fix works as expected. Thanks for your help!
>
> Closing the bug, thanks everyone!
>
> Ludo’.

Hi Ludo' et al.:

Unfortunately, I am still seeing issues with this.  It could be because
something that I am doing.

I first git pull the master tree into ~/projects/guix, and cd there. Then:

(GuixSD 0.15, on bare-metal)

guix environment guix
./bootstrap
./configure --localstatedir=/var
make
sudo -E guix system reconfigure /etc/config.scm

and reboot, and I still see the issue.

I apologize that the test that I had done earlier was in a VM, and I may
have done that wrong, or perhaps other differences.

Eric